Subject: bug#21644: 24.4; completing-read acts differently on functional collection

From: Dmitry Gutov <[email-masked]>
Date: Fri, 16 Oct 2015 00:07:40 +0300

On 10/15/2015 11:28 PM, Drew Adams wrote:

> No one has said anything that would introduce another bug.
> It's about fixing this bug, by getting users to the information
> about function-valued COLLECTION.  And that info is in node
> `Programmed Completion'.
>
> No one has said that users should not consult `Basic Completion'
> for info about `all-completions', `try-completion', and
> `test-completion'.

The current sentence that refers to the Info node would become wrong. 
But I suppose an alternative wording might escape that problem.

Patch welcome.

> No one is asking users to read the whole `Completion' section.
> That is the section that covers all of the info about
> `completing-read', _if_ you insist on pointing to only one section.

If you link to Completion as a whole, the user might not know better 
than to read it all.

> Really what should be done is to link from the `completing-read'
> doc string only to node `Minibuffer Completion', which is the
> node that documents `completing-read'.

I don't know about that: that page basically re-tells the docstring of 
completing-read. Sending to it from that docstring seems redundant.

> It is a bug (IMHO) that the node that documents `completing-read'
> does not specify parameter COLLECTION - which is arguably the
> *most important* parameter.

You're probably right. Please send a patch.